GNU GetText Unspecified Insecure Temporary File Creation Vulnerability

GNU 'gettext' is affected by an unspecified insecure temporary file-creation vulnerability. This issue is likely due to a design error that causes the application to fail to verify the presence of a file before writing to it.

An attacker may leverage this issue to overwrite arbitrary files with the privileges of an unsuspecting user that activates the vulnerable application. Reportedly this issue is unlikely to facilitate privilege escalation.


 

Privacy Statement
Copyright 2010, SecurityFocus